%define module_name Char-EUCTW
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(Compress/Zlib.pm) perl(Config.pm) perl(DBD/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(FindBin.pm) perl(Getopt/Std.pm) perl(Test.pm) perl(experimental.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: Source code filter for EUC-TW script (Imitation JPerl)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INA/Char/EUCTW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use EUCTW;
  use EUCTW ver.sion;             --- require minimum version
  use EUCTW ver.sion.0;           --- expects version (match or die)
  use EUCTW qw(ord reverse getc); --- demand enhanced feature of ord, reverse, and getc
  use EUCTW ver.sion qw(ord reverse getc);
  use EUCTW ver.sion.0 qw(ord reverse getc);

  # "no EUCTW;" not supported

  or

  $ perl EUCTW.pm EUC-TW_script.pl > Escaped_script.pl.e

  then

  $ perl Escaped_script.pl.e

  EUC-TW_script.pl  --- script written in EUC-TW
  Escaped_script.pl.e --- escaped script

  subroutines:
    EUCTW::ord(...);
    EUCTW::reverse(...);
    EUCTW::getc(...);
    EUCTW::length(...);
    EUCTW::substr(...);
    EUCTW::index(...);
    EUCTW::rindex(...);
  functions:
    <*>
    glob(...);
    CORE::chop(...);
    CORE::ord(...);
    CORE::reverse(...);
    CORE::getc(...);
    CORE::index(...);
    CORE::rindex(...);


  dummy functions:
    utf8::upgrade(...);
    utf8::downgrade(...);
    utf8::encode(...);
    utf8::decode(...);
    utf8::is_utf8(...);
    utf8::valid(...);
    bytes::chr(...);
    bytes::index(...);
    bytes::length(...);
    bytes::ord(...);
    bytes::rindex(...);
    bytes::substr(...);
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README2ND Changes README
%perl_vendor_privlib/E*

%changelog
* Thu May 02 2019 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1
- updated by package builder

* Tue Apr 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.14-alt1
- updated by package builder

* Mon Apr 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.13-alt1
- updated by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Sat Sep 20 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

